DO $$
    DECLARE _path character varying(256) = 'patch-2025_08_27-FlexibleTableFields';

    BEGIN
        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15281) THEN
            RETURN;
        END IF;

        BEGIN

        alter table public."FlexibleTableFields" add column "Order" bigserial;
        
        update public."FlexibleTableFields" set "Order" ="Id";

        INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

            EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$